Package org.pushingpixels.lafwidget.scroll

# Class TweakedScrollPaneLayout

java.lang.Object
javax.swing.ScrollPaneLayout
org.pushingpixels.lafwidget.scroll.TweakedScrollPaneLayout

All Implemented Interfaces:
  `LayoutManager`, `Serializable`, `ScrollPaneConstants`

public class TweakedScrollPaneLayout extends ScrollPaneLayout
A hideous hack to allow the display of the selector's button even when only one scrollBar is visible.

Contributed by the original author under BSD license. Also appears in the JDNC Incubator.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.ScrollPaneLayout

`ScrollPaneLayout.UIResource`

## Field Summary

### Fields inherited from class javax.swing.ScrollPaneLayout

`colHead, hsb, hsbPolicy, lowerLeft, lowerRight, rowHead, upperLeft, upperRight, viewport, vsb, vsbPolicy`

### Fields inherited from interface javax.swing.ScrollPaneConstants

`COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

## Constructor Summary

Constructors
Constructor
Description
`TweakedScrollPaneLayout()`

## Method Summary

Modifier and Type
Method
Description
`void`
`layoutContainer(Container parent)`

### Methods inherited from class javax.swing.ScrollPaneLayout

`addLayoutComponent, addSingletonComponent, getColumnHeader, getCorner, getHorizontalScrollBar, getHorizontalScrollBarPolicy, getRowHeader, getVerticalScrollBar, getVerticalScrollBarPolicy, getViewport, getViewportBorderBounds, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent, setHorizontalScrollBarPolicy, setVerticalScrollBarPolicy, syncWithScrollPane`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TweakedScrollPaneLayout

public TweakedScrollPaneLayout()

## Method Details

### layoutContainer

public void layoutContainer(Container parent)

Specified by:
  `layoutContainer` in interface `LayoutManager`
Overrides:
  `layoutContainer` in class `ScrollPaneLayout`